import 'package:ambito/src/domain/entity/file/thumbnail.dart';
import 'package:isar/isar.dart';
import 'package:json_annotation/json_annotation.dart';

part 'thumbnails.g.dart';

@JsonSerializable(explicitToJson: true)
@embedded
class Thumbnails {
  Thumbnails();

  Thumbnail? tiny;
  Thumbnail? small;
  @JsonKey(name: 'card_cover')
  Thumbnail? cardCover;

  factory Thumbnails.fromJson(Map<String, dynamic> json) =>
      _$ThumbnailsFromJson(json);

  Map<String, dynamic> toJson() => _$ThumbnailsToJson(this);
}
